<?php
class HeadLine extends plxPlugin {
 
    public function __construct($default_lang){
    # Appel du constructeur de la classe plxPlugin (obligatoire)
    parent::__construct($default_lang);
    
    # Pour accéder à une page de configuration
    $this->setConfigProfil(PROFIL_ADMIN,PROFIL_MANAGER);
    # Déclaration des hooks
    $this->addHook('ThemeEndHead', 'ThemeEndHead');
    $this->addHook('ThemeEndBody', 'ThemeEndBody');
    $this->addHook('HeadLine', 'HeadLine'); //hook pour l'affichage manuel
    } 
    
    public function ThemeEndHead() { ?>
    
        <link rel="stylesheet" href="<?php echo PLX_PLUGINS ?>HeadLine/app/style.min.css">


     <?php
    }
    
    public function HeadLine() {?>

    <?php global $plxShow; ?>
      
     <section class="cd-intro">
        <h3 class="red cd-headline <?php echo $this->getParam('data');?>">

        <?php 
        
        $catInclude = 1; // numéro de la premiere catégorie
        $event = $this->getParam('link'); 

        if (!empty($event)) { ?>

        <a href="<?php echo $event;?>" title="<?php echo $this->getParam('info');?>">
            <span><?php echo $this->getParam('texte');?> </span>
            <span class="cd-words-wrapper">
                <?php 
                $plxShow->catList('','<b class="is-visible">#cat_name</b>',$catInclude);
                $plxShow->catList('','<b>#cat_name</b>','',$catInclude); ?>
            </span>
        </a>


         <?php
        } else { ?>

            <span><?php echo $this->getParam('texte');?> </span>
            <span class="cd-words-wrapper">
                <?php 
                $plxShow->catList('','<b class="is-visible">#cat_name</b>',$catInclude);
                $plxShow->catList('','<b>#cat_name</b>','',$catInclude); ?>
            </span>

        <?php
        }


        ?>



                

        </h3>
    </section> 

      <?php
    }

    public function ThemeEndBody(){ 

    $script = $this->getParam('script');

        if ($script == 'true') {echo'<script src="http://code.jquery.com/jquery-2.1.3.min.js"></script>';}?>

    <script src="<?php echo PLX_PLUGINS ?>HeadLine/app/app.js"></script>    
 
    <?php }
      
} // class HeadLine
?>